Summary:	An X Window System based multiplayer aerial combat game
Name:		xpilot
Version:	4.5.5
Release:	%mkrel 1
License:	GPL
Group:		Games/Arcade
URL:		http://www.xpilot.org
Source0:	http://downloads.sourceforge.net/xpilotgame/xpilot-%version.tar.xz
Source2:	%{name}-16.png
Source3:	%{name}-32.png
Source4:	%{name}-48.png
Patch0:		%{name}-4.5.3-config.patch
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:  imake
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes: 		%{name} < %version
Requires:		glibc >= 2.12.1
Requires:		libstdc++6 >= 4.5.2


%description
Xpilot is an X Window System based multiplayer game of aerial combat.

The object of the game is to shoot each other down, or you can use the race 
mode to just fly around.

Xpilot resembles the Commodore 64 Thrust game, which is similar to Atari's
Gravitar and Asteriods (note: this is not misspelled).

Unless you already have an xpilot server on your network, you'll need to set up
the server on one machine, and then set up xpilot clients on all of the 
players' machines.

%prep
%setup -q
%patch0 -p0 

%build
xmkmf
%make Makefiles
%make CDEBUGFLAGS="%optflags" EXTRA_LDOPTIONS="%ldflags"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std install.man INSTBINDIR=%{_gamesbindir}

install -m644 %SOURCE2 -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %SOURCE3 -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %SOURCE4 -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,6}

# scheesh. cvs files.
find doc -name '.cvs*' | xargs rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}-server.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
Name=Xpilot server
Comment=Fly/shoot arcade game
Exec=%{_gamesbindir}/xpilots
Icon=%{name}
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
Name=Xpilot - Requires server
Comment=Fly/shoot arcade game
Exec=%{_gamesbindir}/xpilot -join
Icon=%{name}
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE README.txt.msub 
%doc doc
%{_gamesbindir}/*
/usr/lib/xpilot
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/%{name}.png



%changelog
* Sun Apr 24 2011 Texstar <texstar at gmail.com> 4.5.5-1pclos2011
- import into pclos

